/* Copyright (C) 2002, University of Illinois.  All rights reserved. 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * See the file LICENSE for details.
 */
public class ArrayAccess {
    static int c() { 
        return 4;
    }

    public static void main( String[] argv ) {
        int[] a = new int[33];
        int b = a[c()];

        System.out.println( a.length );

        for( int i = 0; i < a.length; i++ ) {
            a[i] = i * i;
        }

        for( int i = 0; i < a.length; i++ ) {
            System.out.print( a[i] );
            System.out.print( " " );
        }
        System.out.println();

        System.out.println( a[3 + 5 * 2] );
        System.out.println( a[c()] );
        System.out.println( a[c() + 3] );
    }
}
