/* Copyright (C) 2002, University of Illinois.  All rights reserved. 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * See the file LICENSE for details.
 */
public class Endian {
    public static void main(String[] args) {
        long l1 = 0x1111111122222222L;
        long l2 = 0x2222222211111111L;
        if (l1 < l2) {
            System.out.println("OK");
        } else {
            System.out.println("Wrong endianness");
        }

        double d1 = Double.longBitsToDouble(0x3ff8000000000000L);
        double d2 = Double.longBitsToDouble(0x000000003ff80000L);
        // compare d1 and d2, to make sure endianness of longs
        // was not wrong, either
        if (d1 == 1.5 && d1 > d2) {
            System.out.println("OK");
        } else if (d2 == 1.5 || d1 < d2) {
            System.out.println("Wrong endianness");
        } else {
            System.out.println("Unexpected result");
        }
    }
}
