/* Copyright (C) 2002, University of Illinois.  All rights reserved. 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * See the file LICENSE for details.
 */
interface InterfaceRedeclare_I {
    String toString() throws Error;
}
public class InterfaceRedeclare implements InterfaceRedeclare_I {
    public String toString() throws Error {
        throw new Error("FOO!");
    }
    public static void main(String argv[]) {
        try {
            System.out.println(new InterfaceRedeclare().toString());
        } catch (Error e) {
            System.out.println("Error: "+e);
        }
    }
}

