/* Copyright (C) 2002, University of Illinois.  All rights reserved. 
 * This file is covered by the Illinois Open Source License, and may be
 * modified and redistributed with this copyright notice.
 * See the file LICENSE for details.
 */
/*
 * Case.java
 *
 *
 */

import uiuc.Jumbo.Util.*;
import uiuc.Jumbo.Jaemus.*;
import uiuc.Jumbo.Compiler.*;

/**
 * Test of case syntax
 * @version      1.0,  7 Mar 2002
 * @author       Lars Clausen
 *
*/

public class Case {
    public static void main(String[] argv) {
        MonoList c1 = $< case 1: System.out.println("1"); break; >$;
        MonoList c2 = $< case 2: System.out.println("2"); break; case 3: System.out.println("3"); break; >$;
        
         Code c3 = $<public class TestCase {
             public static void main(String[] argv) {
                 switch (argv.length) {
                     `Case(c2.addAll(c1))
                     case 4: break;
                     default: System.out.println("def");
                 }
             }
         }>$;
         c3.load();
    }
}

/* End of class Case*/
