class StaticRefs {
    static StaticRefs a() {
        System.out.print("a ");
        return t;
    }
    static int i = 0;
    static StaticRefs t = new StaticRefs();

    StaticRefs() {}
    StaticRefs(char c) { System.out.print("c "); }
    public String toString() {
        System.out.print("d ");
        return null;
    }
    public static void main(String[] args) {
        a().i++; // method invocation
        a().t.i++; // field access
        (t.a()).i++; // parenthesized expression
        new StaticRefs('c').i++; // instance creation
        ((StaticRefs)a()).i++; // safe cast
        ("" + t).CASE_INSENSITIVE_ORDER.toString(); // string conversion
        (t = null).i++; // assignment
        if (t != null) System.out.print("Oops ");
        (t == null ? a() : a()).i++; // conditional
        if (i != 7) System.out.print("Oops ");
        i = 0;
        StaticRefs[] ta = {t};
        ta[i++].i++; // array access
        if (i != 2) System.out.print("Oops ");
    }
}
