/* Copyright (C) 2002, University of Illinois.  All rights reserved. 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * See the file LICENSE for details.
 */
public class ClassFieldAccess {
    public static int class_var_public = 21;
    protected static int class_var_protected = 22;
    private static int class_var_private = 23;

    public static void main(String argv[]) {
        System.out.println( "Plain public class var: " + class_var_public );
        System.out.println( "Plain protected class var: " 
                                + class_var_protected );
        System.out.println( "Plain private class var: " + class_var_private );

        System.out.println( "Dot public class var: " 
                                + ClassFieldAccess.class_var_public );
        System.out.println( "Dot protected class var: " 
                                + ClassFieldAccess.class_var_protected );
        System.out.println( "Dot private class var: " 
                                + ClassFieldAccess.class_var_private );
    }
}

