/* Copyright (C) 2002, University of Illinois.  All rights reserved. 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * See the file LICENSE for details.
 */
class NormalPoint {
    int x, y;
    NormalPoint(int x, int y) { this.x = x; this.y = y; }
}
public class ColoredPoint extends NormalPoint {
    static final int WHITE = 1, BLACK = 0;
    int color;
    ColoredPoint(int x, int y) {
        this(x, y, WHITE);
    }
    ColoredPoint(int x, int y, int color) {
        super(x, y);
        this.color = color;
    }
    public static void main(String argv[]) {
        ColoredPoint cp = new ColoredPoint(10, 20, 30);
        ColoredPoint cp1 = new ColoredPoint(15, 25);
        System.out.println(cp.color+cp1.color);
    }
}
