/* Copyright (C) 2002, University of Illinois.  All rights reserved. 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * See the file LICENSE for details.
 */
class FieldDecl {
    byte b = 1;
    char c = 2;
    short s = 4;
    int i = 8;
    float f = 16.0f;
    double d = 32.0;
    long l = 64;
    Object o = null;

    public int i1;
    protected int i2;
    private int i3;
    static int i4 = 4;
    final int i5 = 38;
    transient int i6;
    volatile int i7;

    static int j1 = 1;
    static int j2 = 2;
    static int j3 = 3;
    static int j4 = 6;

    protected static final int i8 = 42;

    { 
        i = i4 * 10 + i2 + i;
    }

    static {
        i4 *= j1 * j2 - j3 / j4;
    }

    public FieldDecl( int a ) {
        System.out.println( a );
    }

}
