/* Copyright (C) 2002, University of Illinois.  All rights reserved. 
 * This file is covered by the Illinois Open Source License, and may be
 * modified and redistributed with this copyright notice.
 * See the file LICENSE for details.
 */
/*
 * Vectors.java
 *
 *
 */

import uiuc.Jumbo.Util.*;
import uiuc.Jumbo.Jaemus.*;
import uiuc.Jumbo.Compiler.*;

import java.util.*;

/**
 * Test of arrays
 * @version      1.0, 23 Jul 2002
 * @author       Lars Clausen
 *
*/

public class ArrayCode {
    public static void main(String[] argv) {
        Code a = $<int[] j = new int[4];>$;
        Code b = $<j>$;
        Code c = $<int x = (`Expr(b))[2];>$;
        System.out.println(c);
    }
}

/* End of class Vectors*/
