/* Copyright (C) 2002, University of Illinois.  All rights reserved. 
 * This file is covered by the Illinois Open Source License, and may be
 * modified and redistributed with this copyright notice.
 * See the file LICENSE for details.
 */
/*
 * LHS.java
 *
 *
 */

import uiuc.Jumbo.Util.*;
import uiuc.Jumbo.Jaemus.*;
import uiuc.Jumbo.Compiler.*;

/**
 * LHS
 * @version      1.0,  1 Aug 2002
 * @author       Lars Clausen
 *
*/

public class LHS {
    public static void main(String[] argv) {
        Code a = $<x[4]>$;
        Code b = $<v>$;
        Code c = $<f>$;
        Code d = $<class LHSResult { 
            static int f = 4;
            public static void main(String argv[]) {
                int[] x = new int[5];
                int v;
                `Expr(a) = 3;
                `Expr(b) = 5;
                `Expr(c) = 7;
                System.out.println(`Expr(a)+`Expr(b)+`Expr(c));
            }
        }
        >$;
        d.generate();
    }
}

/* End of class LHS*/
